# Create a new contact. POST https://host.com/v1/contacts Content-Type: application/json Reference: https://docs.meetgail.com/api-reference/api-reference/contacts/create ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Create a new contact. version: endpoint_contacts.create paths: /v1/contacts: post: operationId: create summary: Create a new contact. tags: - - subpackage_contacts parameters: - name: X-API-Key in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '201': description: Created content: application/json: schema: $ref: '#/components/schemas/GetContactResponse' '400': description: Bad Request content: {} requestBody: description: The contact details to create. content: application/json: schema: $ref: '#/components/schemas/ContactRequest' components: schemas: ContactPhoneType: type: string enum: - value: home - value: work - value: mobile - value: fax ContactPhoneNumber: type: object properties: number: type: - string - 'null' type: $ref: '#/components/schemas/ContactPhoneType' required: - number ContactRequest: type: object properties: firstName: type: - string - 'null' lastName: type: - string - 'null' emails: type: - array - 'null' items: type: string phoneNumbers: type: - array - 'null' items: $ref: '#/components/schemas/ContactPhoneNumber' businessName: type: - string - 'null' additionalData: type: - object - 'null' additionalProperties: description: Any type GetContactResponse: type: object properties: id: type: string format: uuid status: type: - string - 'null' firstName: type: - string - 'null' lastName: type: - string - 'null' emails: type: - array - 'null' items: type: string phoneNumbers: type: - array - 'null' items: $ref: '#/components/schemas/ContactPhoneNumber' businessName: type: - string - 'null' source: type: - string - 'null' additionalData: type: - object - 'null' additionalProperties: description: Any type contactListIds: type: - array - 'null' items: type: string format: uuid required: - id - status - firstName - lastName - emails - phoneNumbers - businessName - source - additionalData - contactListIds ``` ## SDK Code Examples ```python import requests url = "https://host.com/v1/contacts" payload = {} headers = { "X-API-Key": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://host.com/v1/contacts'; const options = { method: 'POST', headers: {'X-API-Key': '', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://host.com/v1/contacts" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("X-API-Key", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://host.com/v1/contacts") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["X-API-Key"] = '' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://host.com/v1/contacts") .header("X-API-Key", "") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://host.com/v1/contacts', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', 'X-API-Key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://host.com/v1/contacts"); var request = new RestRequest(Method.POST); request.AddHeader("X-API-Key", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "X-API-Key": "", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://host.com/v1/contacts")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```